com.ibm.openpages.api.workflow.actions

## Class AbstractCustomAction

- java.lang.Object
- - com.ibm.openpages.api.workflow.actions.AbstractCustomAction

- All Implemented Interfaces:
    IWFCustomAction

      public abstract class AbstractCustomAction
      extends java.lang.Object
      implements IWFCustomAction

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROP_FIELDS`
    `static java.lang.String` | `PROP_TARGET_OBJECTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCustomAction(IWFOperationContext context, java.util.List<IWFCustomProperty> properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Execute to process the custom action
    `IWFOperationContext` | `getContext()` Returns the operation context for the action.
    `java.util.List<IWFFieldSetter>` | `getFields()` Returns the list of field objects.
    `java.lang.String` | `getPropertyValue(java.lang.String propertyName)` Returns custom property values by name.
    `IWFObjectsEval` | `getTargetObjects()` Returns the evaluation to get the target objects
    `void` | `throwException(java.lang.String message, java.lang.Throwable cause)`
    `boolean` | `validate()` API to be implemented by sub-classes to validate configuration of the custom action

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_FIELDS

          public static final java.lang.String PROP_FIELDS

      See Also:
        Constant Field Values

    - #### PROP_TARGET_OBJECTS

          public static final java.lang.String PROP_TARGET_OBJECTS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractCustomAction

          public AbstractCustomAction(IWFOperationContext context,
                                      java.util.List<IWFCustomProperty> properties)

  - ### Method Detail

    - #### execute

          public final void execute()
                             throws java.lang.Exception

      Description copied from interface: `IWFCustomAction`
      Execute to process the custom action
      Specified by:
        `execute` in interface `IWFCustomAction`
      Throws:
        `java.lang.Exception`

    - #### validate

          public boolean validate()

      Description copied from interface: `IWFCustomAction`
      API to be implemented by sub-classes to validate configuration of the custom action
      Specified by:
        `validate` in interface `IWFCustomAction`
      Returns:
        boolean

    - #### getPropertyValue

          public final java.lang.String getPropertyValue(java.lang.String propertyName)

      Description copied from interface: `IWFCustomAction`
      Returns custom property values by name.
      Specified by:
        `getPropertyValue` in interface `IWFCustomAction`
      Returns:
        String property value

    - #### getContext

          public final IWFOperationContext getContext()

      Description copied from interface: `IWFCustomAction`
      Returns the operation context for the action.
      Specified by:
        `getContext` in interface `IWFCustomAction`
      Returns:

    - #### getFields

          public final java.util.List<IWFFieldSetter> getFields()

      Description copied from interface: `IWFCustomAction`
      Returns the list of field objects.
      Specified by:
        `getFields` in interface `IWFCustomAction`
      Returns:

    - #### getTargetObjects

          public final IWFObjectsEval getTargetObjects()

      Description copied from interface: `IWFCustomAction`
      Returns the evaluation to get the target objects
      Specified by:
        `getTargetObjects` in interface `IWFCustomAction`
      Returns:

    - #### throwException

          public final void throwException(java.lang.String message,
                                           java.lang.Throwable cause)
                                    throws WFServiceException

      Throws:
        `WFServiceException`

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.